{% extends "base.html" %}

{% block title %}My Receipt{% endblock title %}

{% block content %}
<header>
    <nav>
        <ul>
        {% if user.is_authenticated %}
            <li><a href= "{% url 'logout' %}">Logout</a></li>
            <li><a href= "{% url 'category_list' %}">Category List</a></li>
            <li><a href= "{% url 'account_list' %}">Account List</a></li>
            <li><a href= "{% url 'create_receipt' %}">Create Receipt</a></li>
        {%else%}
            <li><a href= "{% url 'signup' %}">Sign Up</a></li>
            <li><a href= "{% url 'login' %}">Login</a></li>
        {%endif%}
        </ul>
    </nav>
</header>
<main>
    <h1>My Receipts</h1>
    <table>
        <thead>
            <tr>
                <th>Vendor</th>
                <th>Total</th>
                <th>Tax</th>
                <th>Date</th>
                <th>Category</th>
                <th>Account</th>
            </tr>
        </thead>
        <tbody>
            {% for receipts in receipt_object %}
                <tr>
                    <td>{{receipts.vendor}}</td>
                    <td>{{receipts.total}}</td>
                    <td>{{receipts.tax}}</td>
                    <td>{{receipts.date|date:"m/d/y"}}</td>
                    <td>{{receipts.category.name}}</td>
                    <td>{{receipts.account.name}}</td>
                </tr>
            {%endfor%}
        </tbody>
    </table>
</main>
{% endblock content %}
